> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change backend of the Model Server



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml put /v4/serving/{model_server_id}/backend
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/serving/{model_server_id}/backend:
    put:
      tags:
        - Model server
      summary: Change backend of the Model Server
      operationId: PUT-V4-/v4/serving/{model_server_id}/backend
      parameters:
        - name: model_server_id
          in: path
          required: true
          schema:
            type: string
            title: Model Server Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeBackendRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeBackendResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            response = client.model_servers.update_backend(
                model_server_id="model_server_id",
                new_model_deployment_id="new_model_deployment_id",
            )
            print(response.account_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.ModelServers.UpdateBackend(\n\t\tcontext.TODO(),\n\t\t\"model_server_id\",\n\t\tsgp.ModelServerUpdateBackendParams{\n\t\t\tNewModelDeploymentID: sgp.F(\"new_model_deployment_id\"),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AccountID)\n}\n"
components:
  schemas:
    ChangeBackendRequest:
      properties:
        new_model_deployment_id:
          type: string
          title: New Model Deployment Id
      type: object
      required:
        - new_model_deployment_id
      title: ChangeBackendRequest
    ChangeBackendResponse:
      properties:
        name:
          type: string
          title: Name
        model_server_id:
          type: string
          title: Model Server Id
        model_deployment_id:
          title: Model Deployment Id
          type: string
        account_id:
          type: string
          title: Account Id
        alias:
          title: Alias
          type: string
        new_model_deployment_id:
          type: string
          title: New Model Deployment Id
        old_model_deployment_id:
          title: Old Model Deployment Id
          type: string
      type: object
      required:
        - name
        - model_server_id
        - account_id
        - new_model_deployment_id
      title: ChangeBackendResponse
      description: |-
        Point the model server to a new model deployment.

        Args:
            old_model_deployment_id(str): The ID of the model deployment to use as the new backend.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````